#
# spec file for package susehelpcenter (Version 1.1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel audiofile autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdebase kdebase-devel kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libz mesa mesa-devel mesasoft openldap2 openldap2-client openldap2-devel openmotif openmotif-devel openssl qt qt-devel qt-extensions samba sp sp-devel ssh xf86 xf86glu xf86glu-devel xpm
# usedforbuild    aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdebase kdebase-devel kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openmotif openmotif-devel openssl pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm samba sendmail sh-utils shadow sp sp-devel ssh strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         susehelpcenter
Copyright:    GPL
Group:        X11/KDE/Base
Summary:      SuSEHelpCenter
Version:      1.1.0
Release:      106
Provides:     suse_help_viewer
Requires:     susehelp
BuildRoot:    /var/tmp/%{name}-buildroot
Source0:      susehelpcenter-1.1.0.tar.bz2
Patch0:       hu.dif

%description
The SuSE Help Center offers a single place to search in all available sources
of help.

Authors:
--------
    The KDE Project
    Michael Hafner <mhafner@suse.de>

SuSE series: k2de

%prep
%setup -n susehelpcenter
%patch

%build
[ -x ./configure ] || make -f Makefile.cvs
CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG $OPT_LEVEL " ./configure --prefix=/opt/kde2 --with-qt-dir=/usr/lib/qt2
make

%install
make DESTDIR="${RPM_BUILD_ROOT}" install
exit 0

%files
/opt/kde2/share/apps/susehelpcenter
/opt/kde2/share/locale/*/LC_MESSAGES/*
/opt/kde2/bin/*
/opt/kde2/lib/*
/opt/kde2/share/applnk/Settings/Help/susesearch.desktop
/opt/kde2/share/applnk/SuSEHelp.desktop
/opt/kde2/share/icons/??color/??x??/*/*
/opt/kde2/share/services/*

%changelog -n susehelpcenter
* Tue Oct 09 2001 - adrian@suse.de
- add hungarian translations
* Sun Sep 23 2001 - adrian@suse.de
- add missing german translations
- fix yast2 call
* Sun Sep 16 2001 - adrian@suse.de
- fix dialogs and code in general
- check if package is really installed
* Wed Sep 12 2001 - adrian@suse.de
- add dialog to check for databases or let the user create them.
- add missing requires "susehelp"
* Fri Sep 07 2001 - adrian@suse.de
- fix advanced search defaults
* Wed Sep 05 2001 - adrian@suse.de
- fix "install documentation" feature (show flags and parse common.pkd)
* Tue Aug 21 2001 - adrian@suse.de
- update to 1.1.0
- KDE 2.2 specific changes
- installation of additional documentation via YaST
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Wed Aug 08 2001 - ro@suse.de
- dropped kdesupport from neededforbuild
* Wed May 16 2001 - adrian@suse.de
- fix size calculation of utf8 stream
* Fri May 11 2001 - adrian@suse.de
- fix typo in diff
* Thu May 10 2001 - adrian@suse.de
- fix ugly \n at end of buffer
- fix kcm to do the changes
- fix wrong default size of kcm
* Thu May 03 2001 - adrian@suse.de
- move cgi-bin back to /usr/local/httpd/cgi-bin
- add pid to temp file names (to avoid conflicts)
- add button to call kcontrol module
- strip leading apache header in indexresult and searchresult
* Mon Apr 02 2001 - adrian@suse.de
- translations are now in the susehelp package
  (to share them with the http Helpcenter)
- some fixes in susesearch.cpp
- checkboxes are now off by default
- move cgi-bin to /var/www/
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild for openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Mon Feb 19 2001 - mhafner@suse.de
- added documentation (doxygen)
- added flags to kcm and shc
* Mon Jan 29 2001 - mhafner@suse.de
- added hungarian translation
* Fri Jan 26 2001 - mhafner@suse.de
- foreign characters in topics will now be displayed correctly
* Tue Jan 16 2001 - mhafner@suse.de
- fix for setting links correctly in contents tab
* Mon Jan 15 2001 - mhafner@suse.de
- addition of two new keywords (important)
- pac ioslave shows the correct language now
* Fri Jan 12 2001 - mhafner@suse.de
- links in content tab work now (again)
* Thu Jan 11 2001 - adrian@suse.de
- okay .... now it even compiles ...
* Thu Jan 11 2001 - adrian@suse.de
- final version ;-)
* Wed Jan 10 2001 - mhafner@suse.de
- fixes for sdb and pac ioslaves and some work on the index page
* Wed Jan 10 2001 - adrian@suse.de
- added some fast hacks to get a working index page
* Fri Dec 22 2000 - mhafner@suse.de
- important 'fix' to interpret new help file keywords
* Tue Dec 19 2000 - mhafner@suse.de
- updated sdb kioslave for new sdbsearch script
- fixed charset problems
* Thu Dec 14 2000 - mhafner@suse.de
- added spanish translation
* Wed Dec 13 2000 - mhafner@suse.de
- be more tolerant in regard to "pac" and "sdb" URLS
- put topic members in group boxes in SHC
- remove trailing "Content-type..." in "sdb" and "pac"
- added button that allows toggling of checked boxes
* Fri Dec 08 2000 - mhafner@suse.de
- added portuges translation
- added japanese translation
- added KIOSlaves for SDB and PAC search scripts
* Mon Dec 04 2000 - mhafner@suse.de
- added french translation
- added dutch translation
* Fri Dec 01 2000 - mhafner@suse.de
- added Provides suse_help_viewer
* Thu Nov 30 2000 - mhafner@suse.de
- help packages are now seperated into SuSEs help topics
- search script gets the packages in the right order
* Wed Nov 29 2000 - mhafner@suse.de
- added German and Italian translations
* Tue Nov 28 2000 - mhafner@suse.de
- some minor adjustments
- changed startpage
* Wed Nov 22 2000 - mhafner@suse.de
- replaced Geeko image
* Tue Nov 21 2000 - ro@suse.de
- switch to openmotif (again)
* Tue Nov 21 2000 - mhafner@suse.de
- changed behaviour of "contents" tab to match SuSE design
* Wed Nov 15 2000 - mhafner@suse.de
- removed "Advanced Help" Checkbox and added a third tab
- added scrollbars for large numbers of help packages
* Fri Nov 10 2000 - mhafner@suse.de
- changed some layout, descriptions and other small fixes
* Thu Nov 09 2000 - mhafner@suse.de
- added ProgressBar and several other small changes
* Tue Nov 07 2000 - mhafner@suse.de
- initial version
